{ pkgs, config, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
  ];

  networking.hostName = "monitoring";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  #networking.firewall.allowedTCPPorts = [ 
  #  config.services.grafana.settings.server.http_port
  #];

  services.grafana = {
    enable = true;
    settings = {
      server = {
        http_addr = "0.0.0.0";
        http_port = 3000;
        domain = "monitoring.hoki-porgy.ts.net";
      };
    };
  };
  
  services.prometheus = {
    enable = true;
    port = 4000;
    
    scrapeConfigs = [
      {
        job_name = "aerial";
        static_configs = [
          { targets = "aerial.hoki-porgy.ts.net:14200"; }
        ];
      }
    ];
  };

}
